<!--
/*
 * ============================================================================
 * Licensed Materials - Property of IBM
 * Project  Zero
 *
 * (C) Copyright IBM Corp. 2007  All Rights Reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 * ============================================================================
 */
 
 /**
  * This is a IBM WebSphere sMash Stub implementation of OpenAjax.js	
  * It defines OpenAjax.hub
 */
-->
/* 
 * If it is already defined we are a NOOP
*/
if(typeof OpenAjax == "undefined"){
	OpenAjax = {};
	OpenAjax.hub = new ( 
	function () {
		this.createManagedHub = function( params )
		{
		   	return this;
		}  			
		this.connect = function (params)
		{
			return this;
		}
		this.configureProvider = function( params )
		{
			return true;
		}
		// conn handle functions
	    this.subscribe = function( topic, callback, eventCallback )
    	{
    		return this;
    	}
    	this.publish = function (topic, data)
    	{
    		return true;
    	}
    	this.disconnect = function (callback)
    	{}
		this.bind = function( clientName )
		{
			return true;
		}
		// sub handle functions
	    this.unsubscribe = function(callback)
    	{
    		return true;
    	}		    			
	    this.isSubscribed = function()
	    {
	    }
	    this.getConnHandle = function()
	    {
	      return this;
	    }
	    
	    this.getTopic = function()
	    {
	      return null;
	    }	    
	    this.equals = function( object )
	    {
	      return true;
	    }		
		this.implementer = "http://www.projectzero.org";
	}   	
  );
}